Subject: Re: bug#33007: 27.0.50; Proposal for function to edit and return string

From: Juri Linkov <[email-masked]>
Date: Tue, 26 Apr 2022 10:23:56 +0300

>> Another problem is that currently the message doesn't say how
>> to abort changes:
>>
>>   Type C-c C-c when you’ve finished editing
>>
>> whereas for example the message in Wdired is:
>>
>>   Press C-c C-c when finished or C-c ESC to abort changes
>
> Additionally: we have enough room to include such instructions in the
> buffer itself.  There are many keybindings for aborting in use (also in
> third party packages) like C-c ESC, C-c C-k, C-c C-a.  And when you need
> to know which one it was the message is long gone.  We could use the
> header-line, or the mode-line, or the buffer header used when using the
> :help-text key.

Indeed.  I perceive the new function as emulation of the minibuffer.
And since the minibuffer has read-only area with prompt at the beginning,
read-string-from-buffer could add a similar header as well,
like e.g. header lines in the Completions buffer.